## org.mortbay.jetty.plus.annotation
Class PostConstructCallback

    java.lang.Object
      org.mortbay.jetty.plus.annotation.LifeCycleCallback
          org.mortbay.jetty.plus.annotation.PostConstructCallback

    public class PostConstructCallback

extends LifeCycleCallback

PostConstructCallback

Field Summary

Fields inherited from class org.mortbay.jetty.plus.annotation.LifeCycleCallback
`__EMPTY_ARGS`

Constructor Summary
`PostConstructCallback()`

Method Summary
`void` `callback(Object instance)`
`boolean` `equals(Object o)`
`void` `validate(Class clazz, Method method)` Commons Annotation Specification section 2.5 - no params - must be void return - no checked exceptions - cannot be static

Methods inherited from class org.mortbay.jetty.plus.annotation.LifeCycleCallback
`findMethod, getTarget, getTargetClass, setTarget, setTarget, setTargetClass`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostConstructCallback

    public PostConstructCallback()

Method Detail

### validate

    public void validate(Class clazz,
                         Method method)

  Commons Annotation Specification section 2.5 - no params - must be void return - no checked exceptions - cannot be static

  Specified by:
    `validate` in class `LifeCycleCallback`
  See Also:
    `LifeCycleCallback.validate(java.lang.Class, java.lang.reflect.Method)`

### callback

    public void callback(Object instance)
                  throws Exception

  Overrides:
    `callback` in class `LifeCycleCallback`
  Throws:
    `Exception`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `LifeCycleCallback`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.